Subject: Re: Statictics on Git.pm usage in git commands (was: [PATCH 2/3] add new Git::Repo API)

From: Petr Baudis <[email-masked]>
Date: Sun, 20 Jul 2008 12:49:35 +0200

Hi,

On Sun, Jul 20, 2008 at 12:38:07PM +0200, Johannes Schindelin wrote:
> You call that "worse"?  Pasky tried to convert all Perl scripts at once 
> IIRC, and my numerous problems just _making_ the Git scripts led me to 
> rewrite a few Perl scripts in C, so I could safely exclude the Perl 
> scripts from my personal fork.

  I don't remember any concrete report of such problems ever reaching
me; exactly what trouble are you hitting with the Perl scripts using
Git.pm?  I will be glad to try to fix it.

> I guess that it was this experience which prevented more of the old 
> scripts from being converted.
> 
> But your mention of git-add--interactive actually brings up my pet-peeve: 
> this script is the only Perl script needed for common operations, i.e. the 
> only reason msysGit has to ship bloated with Perl.

  _Many_ people seem to be using git-svn, whether we like it or not. ;-)
Also, isn't git-send-mail rather commonly used? (I wouldn't know, me
using stg mail.)

-- 
				Petr "Pasky" Baudis
As in certain cults it is possible to kill a process if you know
its true name.  -- Ken Thompson and Dennis M. Ritchie